# Generated from colours-0.8.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name colours

Name: rubygem-%{gem_name}
Version: 0.8.5
Release: 1%{?dist}
Summary: This library is called colours. It unifies colour-related constants and methods, including R,G,B values for colours and the commonly known "HTML colours", such as "slateblue" or "royalblue" and so on.  The primary use case for this project is to make commandline-scripts display text on the terminal with colours.  For more information about this project, have a look at the online documentation for this gem at the link called "documentation", at the bottom right side of the colours gem homepage:  https://www.rubydoc.info/gems/colours/0.8.5
License: MIT
URL: https://rubygems.org/gems/colours
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 3.4.10
BuildRequires: ruby >= 2.7.6
BuildArch: noarch

%description
This library is called colours. It unifies colour-related constants
and methods, including R,G,B values for colours and the commonly
known "HTML colours", such as "slateblue" or "royalblue" and so
on.
The primary use case for this project is to make commandline-scripts
display text on the terminal with colours.
For more information about this project, have a look at the online
documentation for this gem at the link called "documentation", at
the bottom right side of the colours
gem homepage:
https://www.rubydoc.info/gems/colours/0.8.5.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENCE.md
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/colours.gemspec
%doc %{gem_instdir}/doc
%{gem_instdir}/test

%changelog
* Sat May 20 2023 mockbuilder - 0.8.5-1
- Initial package
